#!/usr/bin/env bats

@test "docker is available" {
    command -v docker
}

@test "abra is executable" {
    ./abra --help
}

@test "abra server add/rm works" {
    ./abra server add swarm.example.com
    docker context ls | grep swarm.example.com
    ./abra server rm swarm.example.com
    ./abra server add swarm-test.autonomic.zone calix 222
}
